#
# spec file for package qgrid (Version 2.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  qt3-devel-packages qt3-non-mt

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool perl qt3 qt3-devel qt3-non-mt rpm update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         qgrid
License:      GPL
Group:        Productivity/Hamradio/Other
Autoreqprov:  on
Version:      2.1
Release:      599
Summary:      Converts between Maidenhead grid squares and latitude/longitude
Source:       http://users.pandora.be/on1mh/download/qgrid-2.1.tar.gz
Source1:      %name.desktop
URL:          http://users.pandora.be/on1mh/
Patch:        qgrid-2.1.patch
Patch1:       qgrid-gcc31.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Qgrid is a X11-tool for converting between maidenhead grid squares and
latitude/longitude and calculating the distance and bearing between two
given points.



Authors:
--------
    Johan Maes <on1mh@csi.com>

%debug_package
%prep
%setup -q
%{suse_update_config -f admin}
%patch0 -p0
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --with-qt-dir=/usr/lib/qt3 --with-qt-libraries=/usr/lib/qt3/%_lib
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
cp qgrid/docs/en/*.{html,png} .
cp qgrid/qgrid.conf .
rm -rf $RPM_BUILD_ROOT/usr/doc/qgrid
%suse_update_desktop_file -i %name Network HamRadio

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO ChangeLog
%doc *.html *.png *.conf
/usr/bin/qgrid
/usr/share/applications/*.desktop

%changelog -n qgrid
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Mon Jun 02 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon Nov 25 2002 - ro@suse.de
- build with qt3
* Mon May 27 2002 - coolo@suse.de
- fix for lib64
* Fri Apr 19 2002 - coolo@suse.de
- fix for gcc 3.1
* Mon Nov 26 2001 - schwab@suse.de
- Fix broken casts.
* Thu Nov 08 2001 - jreuter@suse.de
- new version for QT2
- updated spec file
* Wed Oct 31 2001 - ro@suse.de
- try build with qt2
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Mon Nov 06 2000 - bubnikv@suse.cz
- updated URL
* Fri May 19 2000 - bubnikv@suse.cz
- added buildroot, URL
* Mon Jan 31 2000 - ro@suse.de
- fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 21 1999 - ka@suse.de
- update to version 1.0d
- several specfile fixes
* Fri Apr 09 1999 - ka@suse.de
- initial release
